@import "@/styles/variables";

.paginator {
    display: flex;
    gap: 0.1rem;
    min-width: 8rem;
    width: 100%;
    justify-content: center;
    align-items: center;
    cursor: pointer;

    @include notebook {
        gap: 1.1rem;
    }

    &__item {
        @include paragraph;

        padding: 0.1rem 0.5rem 0.4rem;
        color: $gray-dark;
        border-bottom: 3px solid transparent;

        @include tablet {
            @include paragraph-lg;
        }

        &_active {
            color: $black;
            font-weight: 700;
            border-bottom: 3px solid $secondary-color;
        }
    }
}

.arrow {
    padding: 0.1rem 0.7rem 0.4rem;
    min-width: 1.2rem;
    border-bottom: 2px solid transparent;
    cursor: pointer;

    &:first-of-type {
        padding-left: 0;
    }

    &:last-of-type {
        padding-right: 0;
    }
}

.elipsis {
    content: url("/assets/images/elipsis-icon.svg");
    padding: 0 0.1rem;
    position: relative;
    top: 0.3rem;
}
